map = {}
	map.tiles = {}
	map.tiles.width, map.tiles.height = 32, 32 
	map.width = 32
	map.height = 32
	for x = 0, map.width do
		map[x] = {}
		for y = 0, map.height do
			if x < 15 then
				map[x][y] = 0
			elseif x == 15 then
				map[x][y] = 1
			elseif x == 16 then
				map[x][y] = math.random(1,2)
			else
				map[x][y] = 2 
			end
			--if y < 1.5 then
			--	map[x][y] = 1
			--elseif y > 38.5 then
			--	map[x][y] = 1
			--end
			if map[x][y] > 0.1 and map[x-1][y] == 0 then
				map[x-1][y] = 0.1
			end
		end
	end

sky = {
  light = {},
  num = 0,
  bolean = {},
  check = {}
}	

function mapLoad()
	for y = 0, map.height do
		for x = 0, map.width do
			if map[y][x] == 2 then
				stone = {
				  b = {},
				  s = {},
				  f = {},
				  i = {},
				  n = 0,
				  bolean = {},
				  lookx = {},
				  looky = {},
				  nd = 0,
				}
					stone.b[stone.n] = love.physics.newBody(world, (x+0.5)*32, (y+0.5)*32, "static")
					stone.s[stone.n] = love.physics.newRectangleShape(32,32)
					stone.f[stone.n] = love.physics.newFixture(stone.b[stone.n], stone.s[stone.n])
					stone.f[stone.n]:setUserData("Stone"..stone.n)
					-- stone.i = lightWorld:newImage(stoneimg, (x+0.5)*32, (y+0.5)*32, 32, 32)
					stone.n = stone.n + 1
					stone.bolean[stone.n] = true
			end
			if map[y][x] == 1 then
				dirt = {
				  b = {},
				  s = {},
				  f = {},
				  i = {},
				  d = {},
				  x = 0,
				  y = 0,
				  bolean = {},
				  lookx = 0,
				  looky = 0,
				  nd = 0,
				}
				dirt.b[dirt.y] = {}
				dirt.s[dirt.y] = {}
				dirt.f[dirt.y] = {}
				dirt.i[dirt.y] = {}
				dirt.d[dirt.y] = {}
				-- dirt.bolean[dirt.y] = {}
					dirt.b[dirt.y][dirt.x] = love.physics.newBody(world, (x-0.5)*32, y*32, "static")
					dirt.s[dirt.y][dirt.x] = love.physics.newRectangleShape(32,32)
					dirt.f[dirt.y][dirt.x] = love.physics.newFixture(dirt.b[dirt.y][dirt.x], dirt.s[dirt.y][dirt.x])
					dirt.f[dirt.y][dirt.x]:setUserData("Dirt"..dirt.x..dirt.y)
					dirt.d[dirt.y][dirt.x] = false
					-- dirt.i[dirt.n] = lightWorld:newImage(dirtimg, (x+0.5)*32, (y+0.5)*32, 32, 32)
					dirt.y = dirt.y + 1
					dirt.x = dirt.x + 1
					-- dirt.bolean[dirt.y][dirt.x] = true
			end
			-- if map[y][x] == 0.1 then
				-- sky.num = sky.num + 1
				-- sky.bolean[sky.num] = true
				-- if daycircle > 0 and daycircle < 10 then
					-- sky.light[sky.num] = lightWorld:newLight(200, 200, 200, 200, 200, lightRange)
				-- elseif daycircle > 9 and daycircle < 20 then
					-- sky.light[sky.num] = lightWorld:newLight(50, 50, 50, 50, 60, lightRange)
				-- end
				-- sky.light[sky.num]:setGlowStrength(0.3)
				-- sky.light[sky.num]:setPosition((x+0.5)*32, (y+0.5)*32)
			-- end
		end
	end
end

function mapCollide(x, y)
	local checkMap = map[math.floor(y/32)][math.floor(x/32)]
	return checkMap
end

function mapUpdate()
	mapCheck()
	mapShader()
	
	local x = love.mouse.getX() - xworld/scaleworld
	local y = love.mouse.getY() - yworld/scaleworld

	local mapX = math.floor(y/32)
	local mapY = math.floor(x/32) 
	
	if mapCollide(x, y) == 1 then
		dirt.lookx = 1
		dirt.looky = 1
		for y = 0, map.height do
			for x = 0, map.width do
				if dirt.y == mapY then
					dirt.nx = dirt.y
				else dirt.y = dirt.y + 1 end
				if dirt.x == mapX then
					dirt.ny = dirt.x
				else dirt.x = dirt.x + 1 end
			end
		end
	else dirt.y = 0 dirt.x = 0 end 
	if dirt.y > map.height then
		dirt.y = 0
	elseif dirt.x > map.width then
		dirt.x = 0
	elseif stone.n > map.width then
		stone.n = 0
	end
end

function mapDraw()
	for y = 0, map.height do
		for x = 0, map.width do
			if map[y][x] == 2 then
				--love.graphics.rectangle("line", (x-0.5)*32, (y-0.5)*32,32,32)
				love.graphics.draw(stoneimg, x*32, y*32)
			end
			if map[y][x] == 1 then
				--love.graphics.rectangle("line", (x-0.5)*32, (y-0.5)*32,32,32)
				love.graphics.draw(dirtimg, x*32, y*32)
			end
			if map[y][x] == 1 and map[y-1][x] == 0 or map[y][x] == 1 and map[y-1][x] == 0.1 then	
				love.graphics.draw(herbebas, x*32, y*32)
			end
			if map[y][x] == 0.1 then	
				love.graphics.rectangle("line", x*32, y*32, 32, 32)
			end
		end
	end
end

function mapCheck()
	for y = 0, map.height do
		for x = 0, map.width do
			if map[y][x] > 0.1 and map[y-1][x] == 0 and y < 16 then
				map[y-1][x] = 0.1
			elseif map[y][x] == 0.1 then
				map[y][x] = 0
			end
			if map[y][x] == 0.1 and not sky.check[sky.num] then
				sky.bolean[sky.num] = true
			end
		end
	end
end

function mapShader()
	-- for y = 0, map.height do
		-- for x = 0, map.width do
			-- if map[y][x] == 0.1 and not sky.bolean[sky.num] and sky.num < map.width+1 then
				-- if daycircle > 0 and daycircle < 10 and map[y][x] == 0.1 then
					-- sky.light[sky.num] = lightWorld:newLight(200, 200, 200, 200, 200, lightRange)
					-- sky.light[sky.num]:setGlowStrength(0.3)
					-- sky.light[sky.num]:setPosition((x+0.5)*32, (y+1)*32)
					-- if sky.num < map.width+1 then
						-- sky.num = sky.num + 1
					-- end
					-- sky.bolean[sky.num] = false
				-- elseif map[y][x] == 0 then end
			-- end
		-- end
	-- end
end